﻿
SET FOREIGN_KEY_CHECKS=1;
CREATE DATABASE IF NOT EXISTS visionary;
USE visionary;

-- drop tables list

DROP TABLE IF EXISTS LOAN;
DROP TABLE IF EXISTS PIECEOFEQUIPMENT;
DROP TABLE IF EXISTS EQUIPMENT;
DROP TABLE IF EXISTS USER;


CREATE TABLE IF NOT EXISTS USER (
	idU VARCHAR(10) PRIMARY KEY,
	name VARCHAR(30) NOT NULL,
	surname VARCHAR(30) NOT NULL,
	email VARCHAR(50) NOT NULL,
	phone VARCHAR(30) NOT NULL
);

CREATE TABLE IF NOT EXISTS EQUIPMENT (
	idEq VARCHAR(10) PRIMARY KEY,
	name VARCHAR(255) NOT NULL,
	category VARCHAR(50),
	num INTEGER
);


CREATE TABLE IF NOT EXISTS PIECEOFEQUIPMENT (
	N INTEGER,
	idEq VARCHAR(10),
	details VARCHAR(255),
	PRIMARY KEY (N, idEQ),
	FOREIGN KEY (idEQ)
		REFERENCES EQUIPMENT (idEQ)
		ON UPDATE CASCADE
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS LOAN (
	N INTEGER,
	idEq VARCHAR(10),
	dateI DATE NOT NULL,
	dateF DATE NOT NULL,
	idU VARCHAR(10),
	notes VARCHAR(255),
	PRIMARY KEY (N, idEQ, dateI),
	FOREIGN KEY (N, idEQ)
		REFERENCES PIECEOFEQUIPMENT(N, idEQ)
		ON UPDATE CASCADE
		ON DELETE CASCADE,
	FOREIGN KEY (idU)
		REFERENCES USER(idU)
		ON UPDATE CASCADE
		ON DELETE CASCADE
);

-- insert data records
SET autocommit=0;
START TRANSACTION;

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('98143','Mario','Rossi','mario.rossi@me.com','+39 333 3457865');

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('91432','Giada','Verdi','giada.verdi@hotmail.com','+39 323 4554673');

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('99765','Andrea','Bonis','andrea.bonis@gmail.com','+39 339 9003451');

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('82187','Paolo','Ferrero','paolo.ferrero@gmail.com','+39 349 3226701');

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('66085','Marina','Neri','marina.neri@me.com','+39 322 7677753');

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('76455','Francesca','Rocca','francesca.rocca@hotmail.com','+39 348 5556734');

INSERT INTO USER (idU, name, surname, email, phone)
VALUES ('90023','Lorenzo','Adani','lorenzo.adani@me.com','+39 331 4336709');


INSERT INTO EQUIPMENT (idEq, name, category, num)
VALUES ('VR01','Visore_GEAR_VR_con_controller','Virtual Reality',1);

INSERT INTO PIECEOFEQUIPMENT (N, idEq, details)
VALUES (1, 'VR01','Check status');

INSERT INTO EQUIPMENT (idEq, name, category, num)
VALUES ('AV01','Casse_audio','Audio/video',3);

INSERT INTO PIECEOFEQUIPMENT (N, idEq, details)
VALUES (1, 'AV01','No cables');

INSERT INTO PIECEOFEQUIPMENT (N, idEq, details)
VALUES (2, 'AV01','Cables included');

INSERT INTO PIECEOFEQUIPMENT (N, idEq, details)
VALUES (3, 'AV01','No cables');

INSERT INTO EQUIPMENT (idEq, name, category, num)
VALUES ('AD01','Matrox_TripleHead2Go_SE','Adapter',2);

INSERT INTO PIECEOFEQUIPMENT (N, idEq, details)
VALUES (1, 'AD01','New');

INSERT INTO PIECEOFEQUIPMENT (N, idEq, details)
VALUES (2, 'AD01','New');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (2, 'AD01','2019-04-10','2019-04-14','91432', '');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (2, 'AD01','2019-03-10','2019-03-12','91432', 'extension');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (2, 'AD01','2019-03-04','2019-03-10','91432', '');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (1, 'VR01','2019-01-21','2019-01-24','82187', '');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (1, 'VR01','2019-01-26','2019-01-31','91432', '');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (1, 'VR01','2019-03-04','2019-03-10','98143', '');

INSERT INTO LOAN (N, idEq, dateI, dateF, idU, notes)
VALUES (1, 'VR01','2019-04-11','2019-04-16','98143', '');

COMMIT;
